Forums développeurs windev
[Windev 5.5] Compatibilité avec Windows 7 et suivants! - Version imprimable

+- Forums développeurs windev (http://tunidev.net)
+-- Forum : Forums Développeurs WINDEV (http://tunidev.net/Forum-Forums-D%C3%A9veloppeurs-WINDEV)
+--- Forum : Forum Windev 7.5 & 5.5 (http://tunidev.net/Forum-Forum-Windev-7-5-5-5)
+--- Sujet : [Windev 5.5] Compatibilité avec Windows 7 et suivants! (/Thread-Windev-5-5-Compatibilit%C3%83%C2%A9-avec-Windows-7-et-suivants)



Compatibilité avec Windows 7 et suivants! - boudu16 - 15-02-2013

Bonjour,
J'ai développé quelques logiciels sous WD 5.5 depuis quelques années, et leurs utilisateurs en sont toujours très satisfaits.
Par contre, nombre d'entre eux sont obligés de changer de machines, les leurs étant devenues obsolètes.
C'est là que les ennuis surgissent :
Impossible d'installer les dits logiciels sue les dernières versions Windows, que ce soit Vista, Seven et ne parlons pas de Windows 8.
J'ai en main une revue "Windows 7" HS N°10, qui traite des problèmes de compatibilité. Or les rédacteurs sont formels, tous les '"vieux logiciels" pourvus qu'ils soient en 32 bits doivent tourner!
Je suis désolé, mais ceux développés en WD 5.5 refusent de s'installer.
Après appel auprès de la HotLine PCSoft, la réponse est : nous n'assurons plus de SAV pour cette version, passez à WD 17 ou 18.
C'est trop cher pour moi et ne présente aucun intérêt pour mes clients.
Peut-on, pour une fois, me dire ou se trouve le problème de compatibilité?
Habitué des forums informatiques divers et variés, je n'attends pas de miracle mais quand même!
Merci d'avance,
BP


Re: Compatibilité avec Windows 7 et suivants! - Samifred - 15-02-2013

Bonjour,

Il faut créer un petit fichier de commande *.bat et copier le fichier Command.com ou cmd.exe dans un dossier d'installation.
WD 5.5 à besoin du Command.com ou cmd.exe pour lancer son fichier d'installation.

Le fichier bat doit contenir le nom du fichier d'installation exe.

NomDossier..
Install55.bat
Command.com (cmd.exe)
<Fichiers du programme>

Pour plus de détails faire une recherche sur Google (fichier bat).

Voir aussi du côté du paramétrage l'UAC de votre os.

Voir aussi la mise à jour du driver du dongle, ici: <!-- m --><a class="postlink" href="http://www.aladdin.com/support/hasp/hasp4/enduser.asp">http://www.aladdin.com/support/hasp/hasp4/enduser.asp</a><!-- m -->


Bon courage.


Re: Compatibilité avec Windows 7 et suivants! - wd55 - 16-02-2013

Bonjour Boudu,

Je développe essentiellement avec WD5.5b de très grosses applis en réseau chez des gros Clients.
Et ce sur XP, 2003 Serveur, 2008 Serveur, Seven.
Je te rassure, les applis Windev 5.5 fonctionnent parfaitement sous tous ces OS.

Il te faut dans un premier temps, générer un Exe 32 bits, ce que tu as fait, j'imagine.
Ton installe doit, elle aussi, être une Install 32 bits (aucun problème avec la 5.5), sinon, bien sûr, ça ne marche pas.
Perso, j'utilise l'install de windev 9 mais c'est beaucoup plus ardu.

Reste un gros problème (encore que) : la mise à jour automatique des données.
Il faut utiliser wdmodfic32 en lieu et place du wdmodfic de la 5.5 qui est en 16 bits.
Tu le trouveras dans la version 7.5 migration sur le site ftp de PcSoft.
C'est un peu plus compliqué à mettre en oeuvre car il ne faut pas inclure la modif auto dans ton install.
Il faut que tu la lances à partir de ton appli.

Nul besoin de . bat ou autre artifice donc, soit rassuré et n'hésite pas à me solliciter.

Par contre, comme te le dis Samifred, attention à l'UAC sur Seven !
Je n'ai jamais eu de problèmes mais soit vigilant de ce côté.